Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IServiceDescriptor

All Superinterfaces:
  IDescriptor, IPropertiedDescriptor, Serializable

public interface IServiceDescriptor
extends IPropertiedDescriptor, Serializable

Describes the metadata for a service on an ApplicationView, including the service's name, and document descriptors for both the request and response document types for the service. The request/response document descriptors define the content and structure for the request/response documents at runtime, respectively.

Method Summary
`String` | `getInteractionSpecClassName()` Get the name of the class that implements the javax.resource.cci.InteractionSpec interface for the adapter that will implement this service.
`IDocumentDescriptor` | `getRequestDocumentDescriptor()` Get a descriptor for the request document required for this service.
`IDocumentDescriptor` | `getResponseDocumentDescriptor()` Get a descriptor for the response document returned from this service.
`boolean` | `isRequestNull()` Does this service not require a request document?
`boolean` | `isResponseNull()` Does this service not provide a response document?
`boolean` | `ownsRequestSchema()`
`boolean` | `ownsResponseSchema()`
`void` | `setInteractionSpecClassName(String className)` Set the name of the class that implements the javax.resource.cci.InteractionSpec interface for the adapter that will implement this service.
`void` | `setOwnsRequestSchemaFlag(boolean bOwns)` Sets a flag that indicates if this service owns the request schema it references; this flag is true by default.
`void` | `setOwnsResponseSchemaFlag(boolean bOwns)` Sets a flag that indicates if this service owns the response schema it references; this flag is true by default.
`void` | `setRequestDocumentDescriptor(IDocumentDescriptor descriptor)` Set the descriptor for the request document required for this service.
`void` | `setResponseDocumentDescriptor(IDocumentDescriptor descriptor)` Set the descriptor for the response document returned from this service.

Methods inherited from interface com.bea.wlai.common.IPropertiedDescriptor
`addProperty, getProperty, listPropertyNames, removeProperty`

Methods inherited from interface com.bea.wlai.common.IDescriptor
`fromXML, fromXML, fromXML, getDescription, getName, isReadOnly, makeReadOnly, setDescription, setName, toXML, toXML, toXML`

Method Detail

### setOwnsRequestSchemaFlag

    public void setOwnsRequestSchemaFlag(boolean bOwns)

  Sets a flag that indicates if this service owns the request schema it references; this flag is true by default. Setting the flag to false indicates that the request schema is referenced by other components and not solely owned by this service

### ownsRequestSchema

    public boolean ownsRequestSchema()

  Returns:
    true if this service owns the request schema it references, false otherwise.

### setOwnsResponseSchemaFlag

    public void setOwnsResponseSchemaFlag(boolean bOwns)

  Sets a flag that indicates if this service owns the response schema it references; this flag is true by default. Setting the flag to false indicates that the response schema is referenced by other components and not solely owned by this service

### ownsResponseSchema

    public boolean ownsResponseSchema()

  Returns:
    true if this service owns the response schema it references, false otherwise.

### isRequestNull

    public boolean isRequestNull()

  Does this service not require a request document?

  Returns:
    true if this service does not require a request document

### getRequestDocumentDescriptor

    public IDocumentDescriptor getRequestDocumentDescriptor()

  Get a descriptor for the request document required for this service.

  Returns:
    An IDocumentDescriptor that describes the schema (structure and content) for the request document, and the root element name that all request documents for this service must have.

### setRequestDocumentDescriptor

    public void setRequestDocumentDescriptor(IDocumentDescriptor descriptor)

  Set the descriptor for the request document required for this service.

  Parameters:
    `descriptor` - An IDocumentDescriptor that describes the schema (structure and content) for the request document, and the root element name that all request documents for this service must have.

### isResponseNull

    public boolean isResponseNull()

  Does this service not provide a response document?

  Returns:
    true if this service does not provide a response document

### getResponseDocumentDescriptor

    public IDocumentDescriptor getResponseDocumentDescriptor()

  Get a descriptor for the response document returned from this service.

  Returns:
    An IDocumentDescriptor that describes the schema (structure and content) for the response document, and the root element name that all response documents from this service will have.

### setResponseDocumentDescriptor

    public void setResponseDocumentDescriptor(IDocumentDescriptor descriptor)

  Set the descriptor for the response document returned from this service.

  Parameters:
    `descriptor` - An IDocumentDescriptor that describes the schema (structure and content) for the response document, and the root element name that all request documents for this service will have.

### getInteractionSpecClassName

    public String getInteractionSpecClassName()

  Get the name of the class that implements the javax.resource.cci.InteractionSpec interface for the adapter that will implement this service.

  Returns:
    The name of the class that implements the javax.resource.cci.InteractionSpec interface for the adapter that will implement this service.

### setInteractionSpecClassName

    public void setInteractionSpecClassName(String className)

  Set the name of the class that implements the javax.resource.cci.InteractionSpec interface for the adapter that will implement this service.

  Parameters:
    `className` - The name of the class that implements the javax.resource.cci.InteractionSpec interface for the adapter that will implement this service.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD